Package de.dfki.lt.freetts.en.us

# Class MbrolaVoiceDirectory

java.lang.Object
com.sun.speech.freetts.VoiceDirectory
de.dfki.lt.freetts.en.us.MbrolaVoiceDirectory

public class MbrolaVoiceDirectory extends VoiceDirectory
Provides access to MBROLA voices.

## Constructor Summary

Constructors
Constructor
Description
`MbrolaVoiceDirectory()`

## Method Summary

Modifier and Type
Method
Description
`Voice[]`
`getVoices()`
Provide a means to access the voices in a voice jar file.
`static void`
`main(String[] args)`
Prints out the MBROLA voices.

### Methods inherited from class com.sun.speech.freetts.VoiceDirectory

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MbrolaVoiceDirectory

public MbrolaVoiceDirectory()

## Method Details

### getVoices

public Voice[] getVoices()
Description copied from class: `VoiceDirectory`
Provide a means to access the voices in a voice jar file. The implementation of this function is up to the subclasses.

Specified by:
  `getVoices` in class `VoiceDirectory`
Returns:
  an array of Voice instances provided in the jar file

### main

public static void main(String[] args)
Prints out the MBROLA voices.